<?php
$loader = $this->registry->get('load');
$loader->controller('api/controllerapi');

class ControllerApiLoginApi extends ControllerApi{

  public function login(){
    parent::validFieldValue(Type_requisicao::Tp_reqPost, 'chave_acesso');

    if(!parent::haserror()){
      if($this->config->get('config_keyapi') == $this->request->post['chave_acesso']){
        $this->session->data['api_key'] = $this->request->post['chave_acesso'];
        $retorno = $this->getReturnSuccessmethod(Type_ApiReturn::Tp_returnsucesso, Type_ApiReturn::getNickFromValue(Type_ApiReturn::Tp_returnsucesso));
      }else{
        $this->setErro(Type_ApiReturn::Tp_returnErrorGenerico, Type_ApiReturn::getNickFromValue(Type_ApiReturn::Tp_returnErrorGenerico));
        $retorno = parent::geterror();
      }
    } else {
      $retorno = parent::geterror();
    }

    $this->response->setOutputJson($retorno);

  }
}
